import { Document, Model } from "mongoose";
import { ServerRegion, ServerIdentifier, StatusInfo, SlotInfo } from "../../definitions/adventureland.js";
import { CharacterType, MapName } from "../../definitions/adventureland-data.js";
export interface IPlayer {
    in: string;
    lastSeen?: number;
    map: MapName;
    name: string;
    owner: string;
    serverIdentifier: ServerIdentifier;
    serverRegion: ServerRegion;
    slots: SlotInfo;
    s?: StatusInfo;
    type: CharacterType;
    x: number;
    y: number;
}
export interface IPlayerDocument extends IPlayer, Document {
}
export declare type IPlayerModel = Model<IPlayerDocument>;
